You are not logged in.

#1 2022-06-11 10:47:34

SebastianTS
Member
Registered: 2022-06-11
Posts: 2

[SOLVED] Unresolvable error during system update

Dear ArchLinux community,

this is my first post in this forum, although I'm using ArchLinux for at least 10 years now. This forum has given me plenty of valuable information, but now I'm in a situation which I cannot resolve and also I could not find any useful hints.

When I try to update the system using pacman -Syu I get this error message:

root@seb-desktop ~ # pacman -Syu  
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
:: Starting full system upgrade...
:: Replace qemu with extra/qemu-desktop? [Y/n] y
:: Replace qemu-arch-extra with extra/qemu-emulators-full? [Y/n] y
:: Replace sdl with community/sdl12-compat? [Y/n] y
resolving dependencies...
looking for conflicting packages...
error: failed to prepare transaction (could not satisfy dependencies)
:: installing alsa-lib (1.2.7-2) breaks dependency 'alsa-lib=1.2.6.1' required by lib32-alsa-lib
:: installing libelf (0.187-1) breaks dependency 'libelf=0.186' required by lib32-libelf

Apparently the package "lib32-libelf" (and others) are from a "local" repository:

root@seb-desktop ~ # pacsearch  lib32-libelf
local/lib32-libelf 0.186-3 [installed]
    Handle ELF object files and DWARF debugging information (libraries) (32-bit)

That means that pacman does not update it during pacman -Syu. So I think I should update (or remove) these local packages in order to make the system update work. However, I just can't find out how to do that:

root@seb-desktop ~ # pacman -S  lib32-libelf
error: target not found: lib32-libelf

Unfortunately I don't remember why I installed these packages locally in the first place. Any hints would be much appreciated.

Best regards,

Sebastian

Last edited by SebastianTS (2022-06-11 12:27:25)

Offline

#2 2022-06-11 11:02:29

Raynman
Member
Registered: 2011-10-22
Posts: 1,436

Re: [SOLVED] Unresolvable error during system update

Those packages are in the multilib repository, which is missing under "Synchronizing package databases". If you want to keep those packages, you should (re)enable multilib.

Offline

#3 2022-06-11 11:27:39

schard
Member
From: Hannover
Registered: 2016-05-06
Posts: 1,375
Website

Re: [SOLVED] Unresolvable error during system update

Or, if you do no longer need the packages from lib32, you can clean up your system before the update via

# pacman -Rncs $(pacman -Qmq)

Just check whether your really don't need the packages to be removed then.

Last edited by schard (2022-06-11 11:29:26)


Солідарність з Україною

Offline

#4 2022-06-11 12:15:25

seth
Member
Registered: 2012-09-03
Posts: 29,765

Offline

#5 2022-06-11 12:16:49

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,290

Re: [SOLVED] Unresolvable error during system update

They don't have multilib at all, it's not the multilib-testing issue.

Offline

#6 2022-06-11 12:25:29

SebastianTS
Member
Registered: 2022-06-11
Posts: 2

Re: [SOLVED] Unresolvable error during system update

Thank you all for the quick replies!
I activated the multilib repo and now it works. Such an easy solution and I could not see it... big_smile
Thanks again and best regards,

Sebastian

Offline

#7 2022-06-11 12:25:38

seth
Member
Registered: 2012-09-03
Posts: 29,765

Re: [SOLVED] Unresolvable error during system update

That's what you get from fast-scanning… sorry.

From the pattern and the history of the problem I'd assume they had faced the multilib-testing problem and falsely resolved it by removing both repos.

Offline

Board footer

Powered by FluxBB